/*******************************************************************************
 * Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.
 * The contents of this file are made available under the terms
 * of the GNU Lesser General Public License (LGPL) Version 2.1 that
 * accompanies this distribution (lgpl-v21.txt).  The LGPL is also
 * available at http://www.gnu.org/licenses/lgpl.html.  If the version
 * of the LGPL at http://www.gnu.org is different to the version of
 * the LGPL accompanying this distribution and there is any conflict
 * between the two license versions, the terms of the LGPL accompanying
 * this distribution shall govern.
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

#include "swt.h"
#include "os_stats.h"

#ifdef NATIVE_STATS

int OS_nativeFunctionCount = 1393;
int OS_nativeFunctionCallCount[1393];
char * OS_nativeFunctionNames[] = {
#ifndef JNI64
	"Call__IIII",
#else
	"Call__JJII",
#endif
#ifndef JNI64
	"Call__IIIJ",
#else
	"Call__JJIJ",
#endif
	"GDK_1EVENT_1TYPE",
	"GDK_1EVENT_1WINDOW",
	"GDK_1WINDOWING_1X11",
	"GInterfaceInfo_1sizeof",
	"GPollFD_1sizeof",
	"GTK_1ACCEL_1LABEL_1GET_1ACCEL_1STRING",
	"GTK_1ACCEL_1LABEL_1SET_1ACCEL_1STRING",
	"GTK_1ENTRY_1IM_1CONTEXT",
	"GTK_1RANGE_1HAS_1STEPPER_1A",
	"GTK_1RANGE_1HAS_1STEPPER_1B",
	"GTK_1RANGE_1HAS_1STEPPER_1C",
	"GTK_1RANGE_1HAS_1STEPPER_1D",
	"GTK_1RANGE_1SLIDER_1END",
	"GTK_1RANGE_1SLIDER_1START",
	"GTK_1SCROLLED_1WINDOW_1HSCROLLBAR",
	"GTK_1SCROLLED_1WINDOW_1SCROLLBAR_1SPACING",
	"GTK_1SCROLLED_1WINDOW_1VSCROLLBAR",
	"GTK_1TEXTVIEW_1IM_1CONTEXT",
	"GTK_1TOOLTIPS_1SET_1ACTIVE",
	"GTK_1TOOLTIPS_1TIP_1WINDOW",
	"GTK_1WIDGET_1HEIGHT",
	"GTK_1WIDGET_1REQUISITION_1HEIGHT",
	"GTK_1WIDGET_1REQUISITION_1WIDTH",
	"GTK_1WIDGET_1SET_1HEIGHT",
	"GTK_1WIDGET_1SET_1WIDTH",
	"GTK_1WIDGET_1SET_1X",
	"GTK_1WIDGET_1SET_1Y",
	"GTK_1WIDGET_1WIDTH",
	"GTK_1WIDGET_1WINDOW",
	"GTK_1WIDGET_1X",
	"GTK_1WIDGET_1Y",
	"GTypeInfo_1sizeof",
	"GTypeQuery_1sizeof",
	"G_1OBJECT_1CLASS_1CONSTRUCTOR",
	"G_1OBJECT_1CLASS_1SET_1CONSTRUCTOR",
	"G_1TYPE_1BOOLEAN",
	"G_1TYPE_1DOUBLE",
	"G_1TYPE_1FLOAT",
	"G_1TYPE_1INT",
	"G_1TYPE_1INT64",
	"G_1VALUE_1TYPE",
	"GdkColor_1sizeof",
	"GdkDragContext_1sizeof",
	"GdkEventAny_1sizeof",
	"GdkEventButton_1sizeof",
	"GdkEventCrossing_1sizeof",
	"GdkEventExpose_1sizeof",
	"GdkEventFocus_1sizeof",
	"GdkEventKey_1sizeof",
	"GdkEventMotion_1sizeof",
	"GdkEventProperty_1sizeof",
	"GdkEventScroll_1sizeof",
	"GdkEventVisibility_1sizeof",
	"GdkEventWindowState_1sizeof",
	"GdkEvent_1sizeof",
	"GdkGCValues_1sizeof",
	"GdkGeometry_1sizeof",
	"GdkImage_1sizeof",
	"GdkRectangle_1sizeof",
	"GdkVisual_1sizeof",
	"GdkWindowAttr_1sizeof",
	"GtkAdjustment_1sizeof",
	"GtkAllocation_1sizeof",
	"GtkBorder_1sizeof",
	"GtkCellRendererPixbufClass_1sizeof",
	"GtkCellRendererPixbuf_1sizeof",
	"GtkCellRendererTextClass_1sizeof",
	"GtkCellRendererText_1sizeof",
	"GtkCellRendererToggleClass_1sizeof",
	"GtkCellRendererToggle_1sizeof",
	"GtkColorSelectionDialog_1sizeof",
	"GtkCombo_1sizeof",
	"GtkFileSelection_1sizeof",
	"GtkFixedClass_1sizeof",
	"GtkFixed_1sizeof",
	"GtkRequisition_1sizeof",
	"GtkSelectionData_1sizeof",
	"GtkTargetEntry_1sizeof",
	"GtkTargetPair_1sizeof",
	"GtkTextIter_1sizeof",
	"GtkTreeIter_1sizeof",
	"PangoAttrColor_1sizeof",
	"PangoAttrInt_1sizeof",
	"PangoAttribute_1sizeof",
	"PangoItem_1sizeof",
	"PangoLayoutLine_1sizeof",
	"PangoLayoutRun_1sizeof",
	"PangoLogAttr_1sizeof",
	"PangoRectangle_1sizeof",
	"RTLD_1GLOBAL",
	"RTLD_1LAZY",
	"RTLD_1NOW",
	"XAnyEvent_1sizeof",
	"XClientMessageEvent_1sizeof",
	"XCrossingEvent_1sizeof",
	"XEvent_1sizeof",
	"XExposeEvent_1sizeof",
	"XFocusChangeEvent_1sizeof",
	"XRenderPictureAttributes_1sizeof",
	"XVisibilityEvent_1sizeof",
	"XWindowChanges_1sizeof",
	"X_1EVENT_1TYPE",
	"X_1EVENT_1WINDOW",
	"_1Call",
	"_1FcConfigAppFontAddFile",
	"_1GDK_1DISPLAY",
	"_1GDK_1PIXMAP_1XID",
	"_1GDK_1ROOT_1PARENT",
	"_1GDK_1TYPE_1COLOR",
	"_1GDK_1TYPE_1PIXBUF",
	"_1GString_1len",
	"_1GString_1str",
	"_1GTK_1IS_1BUTTON",
	"_1GTK_1IS_1CELL_1RENDERER_1PIXBUF",
	"_1GTK_1IS_1CELL_1RENDERER_1TEXT",
	"_1GTK_1IS_1CELL_1RENDERER_1TOGGLE",
	"_1GTK_1IS_1CONTAINER",
	"_1GTK_1IS_1IMAGE_1MENU_1ITEM",
	"_1GTK_1IS_1MENU_1ITEM",
	"_1GTK_1IS_1PLUG",
	"_1GTK_1IS_1SCROLLED_1WINDOW",
	"_1GTK_1IS_1SOCKET",
	"_1GTK_1IS_1WINDOW",
	"_1GTK_1STOCK_1CANCEL",
	"_1GTK_1STOCK_1OK",
	"_1GTK_1TYPE_1CELL_1RENDERER_1PIXBUF",
	"_1GTK_1TYPE_1CELL_1RENDERER_1TEXT",
	"_1GTK_1TYPE_1CELL_1RENDERER_1TOGGLE",
	"_1GTK_1TYPE_1FIXED",
	"_1GTK_1TYPE_1MENU",
	"_1GTK_1TYPE_1WIDGET",
	"_1GTK_1WIDGET_1FLAGS",
	"_1GTK_1WIDGET_1HAS_1DEFAULT",
	"_1GTK_1WIDGET_1HAS_1FOCUS",
	"_1GTK_1WIDGET_1IS_1SENSITIVE",
	"_1GTK_1WIDGET_1MAPPED",
	"_1GTK_1WIDGET_1SENSITIVE",
	"_1GTK_1WIDGET_1SET_1FLAGS",
	"_1GTK_1WIDGET_1STATE",
	"_1GTK_1WIDGET_1UNSET_1FLAGS",
	"_1GTK_1WIDGET_1VISIBLE",
	"_1G_1OBJECT_1CLASS",
	"_1G_1OBJECT_1GET_1CLASS",
	"_1G_1OBJECT_1TYPE",
	"_1G_1OBJECT_1TYPE_1NAME",
	"_1G_1TYPE_1STRING",
	"_1PANGO_1PIXELS",
	"_1PANGO_1TYPE_1FONT_1DESCRIPTION",
	"_1PANGO_1TYPE_1LAYOUT",
	"_1XCheckIfEvent",
	"_1XCheckMaskEvent",
	"_1XCheckWindowEvent",
	"_1XDefaultRootWindow",
	"_1XDefaultScreen",
	"_1XFlush",
	"_1XFree",
	"_1XGetSelectionOwner",
	"_1XGetWindowProperty",
	"_1XInternAtom",
	"_1XKeysymToKeycode",
	"_1XListProperties",
	"_1XQueryPointer",
	"_1XQueryTree",
	"_1XReconfigureWMWindow",
	"_1XRenderComposite",
	"_1XRenderCreatePicture",
	"_1XRenderFindStandardFormat",
	"_1XRenderFindVisualFormat",
	"_1XRenderFreePicture",
	"_1XRenderQueryExtension",
	"_1XRenderQueryVersion",
	"_1XRenderSetPictureClipRectangles",
	"_1XRenderSetPictureTransform",
	"_1XSendEvent",
	"_1XSetErrorHandler",
	"_1XSetIOErrorHandler",
	"_1XSetInputFocus",
	"_1XSetSelectionOwner",
	"_1XSetTransientForHint",
	"_1XSynchronize",
	"_1XTestFakeButtonEvent",
	"_1XTestFakeKeyEvent",
	"_1XTestFakeMotionEvent",
	"_1XWarpPointer",
	"_1access",
	"_1atk_1object_1add_1relationship",
	"_1atk_1object_1remove_1relationship",
	"_1call",
	"_1dlclose",
	"_1dlopen",
	"_1dlsym",
	"_1g_1app_1info_1create_1from_1commandline",
	"_1g_1app_1info_1get_1all",
	"_1g_1app_1info_1get_1default_1for_1type",
	"_1g_1app_1info_1get_1executable",
	"_1g_1app_1info_1get_1icon",
	"_1g_1app_1info_1get_1id",
	"_1g_1app_1info_1get_1name",
	"_1g_1app_1info_1launch",
	"_1g_1app_1info_1launch_1default_1for_1uri",
	"_1g_1app_1info_1should_1show",
	"_1g_1app_1info_1supports_1uris",
	"_1g_1cclosure_1new",
	"_1g_1closure_1ref",
	"_1g_1closure_1unref",
	"_1g_1content_1type_1equals",
	"_1g_1content_1type_1get_1mime_1type",
	"_1g_1content_1type_1is_1a",
	"_1g_1content_1types_1get_1registered",
	"_1g_1data_1input_1stream_1new",
	"_1g_1data_1input_1stream_1read_1line",
	"_1g_1desktop_1app_1info_1new_1from_1filename",
	"_1g_1file_1get_1path",
	"_1g_1file_1get_1uri",
	"_1g_1file_1icon_1get_1file",
	"_1g_1file_1info_1get_1content_1type",
	"_1g_1file_1info_1get_1modification_1time",
	"_1g_1file_1new_1for_1path",
	"_1g_1file_1new_1for_1uri",
	"_1g_1file_1query_1info",
	"_1g_1file_1read",
	"_1g_1file_1test",
	"_1g_1filename_1from_1uri",
	"_1g_1filename_1from_1utf8",
	"_1g_1filename_1to_1uri",
	"_1g_1filename_1to_1utf8",
	"_1g_1free",
	"_1g_1icon_1new_1for_1string",
	"_1g_1icon_1to_1string",
	"_1g_1idle_1add",
	"_1g_1list_1append",
	"_1g_1list_1data",
	"_1g_1list_1free",
	"_1g_1list_1free_11",
	"_1g_1list_1last",
	"_1g_1list_1length",
	"_1g_1list_1next",
	"_1g_1list_1nth",
	"_1g_1list_1nth_1data",
	"_1g_1list_1prepend",
	"_1g_1list_1previous",
	"_1g_1list_1remove_1link",
	"_1g_1list_1reverse",
	"_1g_1list_1set_1next",
	"_1g_1list_1set_1previous",
	"_1g_1locale_1from_1utf8",
	"_1g_1locale_1to_1utf8",
	"_1g_1log_1default_1handler",
	"_1g_1log_1remove_1handler",
	"_1g_1log_1set_1handler",
	"_1g_1main_1context_1acquire",
	"_1g_1main_1context_1check",
	"_1g_1main_1context_1default",
	"_1g_1main_1context_1get_1poll_1func",
	"_1g_1main_1context_1iteration",
	"_1g_1main_1context_1pending",
	"_1g_1main_1context_1prepare",
	"_1g_1main_1context_1query",
	"_1g_1main_1context_1release",
	"_1g_1malloc",
#ifndef JNI64
	"_1g_1object_1get__I_3B_3II",
#else
	"_1g_1object_1get__J_3B_3IJ",
#endif
#ifndef JNI64
	"_1g_1object_1get__I_3B_3JI",
#else
	"_1g_1object_1get__J_3B_3JJ",
#endif
	"_1g_1object_1get_1qdata",
	"_1g_1object_1new",
	"_1g_1object_1notify",
	"_1g_1object_1ref",
#ifndef JNI64
	"_1g_1object_1set__I_3BFI",
#else
	"_1g_1object_1set__J_3BFJ",
#endif
#ifndef JNI64
	"_1g_1object_1set__I_3BII",
#else
	"_1g_1object_1set__J_3BIJ",
#endif
#ifndef JNI64
	"_1g_1object_1set__I_3BJI",
#else
	"_1g_1object_1set__J_3BJJ",
#endif
#ifndef JNI64
	"_1g_1object_1set__I_3BLorg_eclipse_swt_internal_gtk_GdkColor_2I",
#else
	"_1g_1object_1set__J_3BLorg_eclipse_swt_internal_gtk_GdkColor_2J",
#endif
#ifndef JNI64
	"_1g_1object_1set__I_3BZI",
#else
	"_1g_1object_1set__J_3BZJ",
#endif
#ifndef JNI64
	"_1g_1object_1set__I_3B_3BI",
#else
	"_1g_1object_1set__J_3B_3BJ",
#endif
	"_1g_1object_1set_1qdata",
	"_1g_1object_1unref",
	"_1g_1quark_1from_1string",
	"_1g_1set_1prgname",
	"_1g_1signal_1add_1emission_1hook",
	"_1g_1signal_1connect",
	"_1g_1signal_1connect_1after",
	"_1g_1signal_1connect_1closure",
	"_1g_1signal_1connect_1closure_1by_1id",
#ifndef JNI64
	"_1g_1signal_1emit_1by_1name__I_3B",
#else
	"_1g_1signal_1emit_1by_1name__J_3B",
#endif
#ifndef JNI64
	"_1g_1signal_1emit_1by_1name__I_3BI",
#else
	"_1g_1signal_1emit_1by_1name__J_3BJ",
#endif
#ifndef JNI64
	"_1g_1signal_1emit_1by_1name__I_3BII",
#else
	"_1g_1signal_1emit_1by_1name__J_3BJJ",
#endif
#ifndef JNI64
	"_1g_1signal_1emit_1by_1name__I_3BLorg_eclipse_swt_internal_gtk_GdkRectangle_2",
#else
	"_1g_1signal_1emit_1by_1name__J_3BLorg_eclipse_swt_internal_gtk_GdkRectangle_2",
#endif
#ifndef JNI64
	"_1g_1signal_1emit_1by_1name__I_3B_3B",
#else
	"_1g_1signal_1emit_1by_1name__J_3B_3B",
#endif
	"_1g_1signal_1handler_1disconnect",
	"_1g_1signal_1handler_1find",
	"_1g_1signal_1handlers_1block_1matched",
	"_1g_1signal_1handlers_1disconnect_1matched",
	"_1g_1signal_1handlers_1unblock_1matched",
	"_1g_1signal_1lookup",
	"_1g_1signal_1remove_1emission_1hook",
	"_1g_1signal_1stop_1emission_1by_1name",
	"_1g_1slist_1append",
	"_1g_1slist_1data",
	"_1g_1slist_1free",
	"_1g_1slist_1length",
	"_1g_1slist_1next",
	"_1g_1source_1remove",
	"_1g_1strfreev",
	"_1g_1strtod",
	"_1g_1thread_1init",
	"_1g_1thread_1supported",
	"_1g_1type_1add_1interface_1static",
	"_1g_1type_1class_1peek",
	"_1g_1type_1class_1peek_1parent",
	"_1g_1type_1class_1ref",
	"_1g_1type_1class_1unref",
	"_1g_1type_1from_1name",
	"_1g_1type_1interface_1peek_1parent",
	"_1g_1type_1is_1a",
	"_1g_1type_1name",
	"_1g_1type_1parent",
	"_1g_1type_1query",
	"_1g_1type_1register_1static",
	"_1g_1utf16_1offset_1to_1pointer",
	"_1g_1utf16_1offset_1to_1utf8_1offset",
	"_1g_1utf16_1pointer_1to_1offset",
	"_1g_1utf16_1strlen",
	"_1g_1utf16_1to_1utf8",
	"_1g_1utf8_1offset_1to_1pointer",
	"_1g_1utf8_1offset_1to_1utf16_1offset",
	"_1g_1utf8_1pointer_1to_1offset",
	"_1g_1utf8_1strlen",
#ifndef JNI64
	"_1g_1utf8_1to_1utf16__II_3I_3I_3I",
#else
	"_1g_1utf8_1to_1utf16__JJ_3J_3J_3J",
#endif
#ifndef JNI64
	"_1g_1utf8_1to_1utf16___3BI_3I_3I_3I",
#else
	"_1g_1utf8_1to_1utf16___3BJ_3J_3J_3J",
#endif
	"_1g_1value_1peek_1pointer",
	"_1gdk_1atom_1intern",
	"_1gdk_1atom_1name",
	"_1gdk_1beep",
	"_1gdk_1bitmap_1create_1from_1data",
	"_1gdk_1cairo_1create",
	"_1gdk_1cairo_1region",
	"_1gdk_1cairo_1set_1source_1color",
	"_1gdk_1color_1white",
	"_1gdk_1colormap_1alloc_1color",
	"_1gdk_1colormap_1free_1colors",
	"_1gdk_1colormap_1get_1system",
	"_1gdk_1colormap_1query_1color",
	"_1gdk_1cursor_1destroy",
	"_1gdk_1cursor_1new",
	"_1gdk_1cursor_1new_1from_1pixbuf",
	"_1gdk_1cursor_1new_1from_1pixmap",
	"_1gdk_1display_1get_1default",
	"_1gdk_1display_1supports_1cursor_1color",
	"_1gdk_1drag_1status",
	"_1gdk_1draw_1arc",
	"_1gdk_1draw_1drawable",
	"_1gdk_1draw_1image",
	"_1gdk_1draw_1layout",
	"_1gdk_1draw_1layout_1with_1colors",
	"_1gdk_1draw_1line",
	"_1gdk_1draw_1lines",
	"_1gdk_1draw_1pixbuf",
	"_1gdk_1draw_1point",
	"_1gdk_1draw_1polygon",
	"_1gdk_1draw_1rectangle",
	"_1gdk_1drawable_1get_1depth",
	"_1gdk_1drawable_1get_1image",
	"_1gdk_1drawable_1get_1size",
	"_1gdk_1drawable_1get_1visible_1region",
	"_1gdk_1error_1trap_1pop",
	"_1gdk_1error_1trap_1push",
	"_1gdk_1event_1copy",
	"_1gdk_1event_1free",
	"_1gdk_1event_1get",
	"_1gdk_1event_1get_1coords",
	"_1gdk_1event_1get_1graphics_1expose",
	"_1gdk_1event_1get_1root_1coords",
	"_1gdk_1event_1get_1state",
	"_1gdk_1event_1get_1time",
	"_1gdk_1event_1handler_1set",
	"_1gdk_1event_1new",
	"_1gdk_1event_1peek",
	"_1gdk_1event_1put",
	"_1gdk_1flush",
	"_1gdk_1free_1text_1list",
	"_1gdk_1gc_1get_1values",
	"_1gdk_1gc_1new",
	"_1gdk_1gc_1set_1background",
	"_1gdk_1gc_1set_1clip_1mask",
	"_1gdk_1gc_1set_1clip_1origin",
	"_1gdk_1gc_1set_1clip_1rectangle",
	"_1gdk_1gc_1set_1clip_1region",
	"_1gdk_1gc_1set_1dashes",
	"_1gdk_1gc_1set_1exposures",
	"_1gdk_1gc_1set_1fill",
	"_1gdk_1gc_1set_1foreground",
	"_1gdk_1gc_1set_1function",
	"_1gdk_1gc_1set_1line_1attributes",
	"_1gdk_1gc_1set_1stipple",
	"_1gdk_1gc_1set_1subwindow",
	"_1gdk_1gc_1set_1tile",
	"_1gdk_1gc_1set_1ts_1origin",
	"_1gdk_1gc_1set_1values",
	"_1gdk_1keyboard_1ungrab",
	"_1gdk_1keymap_1get_1default",
	"_1gdk_1keymap_1translate_1keyboard_1state",
	"_1gdk_1keyval_1to_1lower",
	"_1gdk_1keyval_1to_1unicode",
	"_1gdk_1pango_1attr_1embossed_1new",
	"_1gdk_1pango_1context_1get",
	"_1gdk_1pango_1context_1set_1colormap",
	"_1gdk_1pango_1layout_1get_1clip_1region",
	"_1gdk_1pixbuf_1copy_1area",
	"_1gdk_1pixbuf_1get_1from_1drawable",
	"_1gdk_1pixbuf_1get_1has_1alpha",
	"_1gdk_1pixbuf_1get_1height",
	"_1gdk_1pixbuf_1get_1pixels",
	"_1gdk_1pixbuf_1get_1rowstride",
	"_1gdk_1pixbuf_1get_1width",
	"_1gdk_1pixbuf_1loader_1close",
	"_1gdk_1pixbuf_1loader_1get_1pixbuf",
	"_1gdk_1pixbuf_1loader_1new",
	"_1gdk_1pixbuf_1loader_1write",
	"_1gdk_1pixbuf_1new",
	"_1gdk_1pixbuf_1new_1from_1file",
	"_1gdk_1pixbuf_1render_1pixmap_1and_1mask",
	"_1gdk_1pixbuf_1render_1to_1drawable",
	"_1gdk_1pixbuf_1render_1to_1drawable_1alpha",
	"_1gdk_1pixbuf_1save_1to_1bufferv",
	"_1gdk_1pixbuf_1scale",
	"_1gdk_1pixbuf_1scale_1simple",
	"_1gdk_1pixmap_1foreign_1new",
	"_1gdk_1pixmap_1new",
	"_1gdk_1pointer_1grab",
	"_1gdk_1pointer_1is_1grabbed",
	"_1gdk_1pointer_1ungrab",
	"_1gdk_1property_1get",
	"_1gdk_1region_1destroy",
	"_1gdk_1region_1empty",
	"_1gdk_1region_1get_1clipbox",
	"_1gdk_1region_1get_1rectangles",
	"_1gdk_1region_1intersect",
	"_1gdk_1region_1new",
	"_1gdk_1region_1offset",
	"_1gdk_1region_1point_1in",
	"_1gdk_1region_1polygon",
	"_1gdk_1region_1rect_1in",
	"_1gdk_1region_1rectangle",
	"_1gdk_1region_1subtract",
	"_1gdk_1region_1union",
	"_1gdk_1region_1union_1with_1rect",
	"_1gdk_1rgb_1init",
	"_1gdk_1screen_1get_1default",
	"_1gdk_1screen_1get_1monitor_1at_1point",
	"_1gdk_1screen_1get_1monitor_1at_1window",
	"_1gdk_1screen_1get_1monitor_1geometry",
	"_1gdk_1screen_1get_1n_1monitors",
	"_1gdk_1screen_1get_1number",
	"_1gdk_1screen_1height",
	"_1gdk_1screen_1width",
	"_1gdk_1screen_1width_1mm",
	"_1gdk_1set_1program_1class",
	"_1gdk_1text_1property_1to_1utf8_1list",
	"_1gdk_1unicode_1to_1keyval",
	"_1gdk_1utf8_1to_1compound_1text",
	"_1gdk_1utf8_1to_1string_1target",
	"_1gdk_1visual_1get_1system",
	"_1gdk_1window_1add_1filter",
	"_1gdk_1window_1at_1pointer",
	"_1gdk_1window_1begin_1paint_1rect",
	"_1gdk_1window_1clear_1area",
	"_1gdk_1window_1destroy",
	"_1gdk_1window_1end_1paint",
	"_1gdk_1window_1focus",
	"_1gdk_1window_1freeze_1updates",
	"_1gdk_1window_1get_1children",
	"_1gdk_1window_1get_1events",
	"_1gdk_1window_1get_1frame_1extents",
	"_1gdk_1window_1get_1internal_1paint_1info",
	"_1gdk_1window_1get_1origin",
	"_1gdk_1window_1get_1parent",
	"_1gdk_1window_1get_1pointer",
	"_1gdk_1window_1get_1position",
	"_1gdk_1window_1get_1user_1data",
	"_1gdk_1window_1hide",
	"_1gdk_1window_1invalidate_1rect",
	"_1gdk_1window_1invalidate_1region",
	"_1gdk_1window_1is_1viewable",
	"_1gdk_1window_1is_1visible",
	"_1gdk_1window_1lookup",
	"_1gdk_1window_1lower",
	"_1gdk_1window_1move",
	"_1gdk_1window_1move_1resize",
	"_1gdk_1window_1new",
	"_1gdk_1window_1process_1all_1updates",
	"_1gdk_1window_1process_1updates",
	"_1gdk_1window_1raise",
	"_1gdk_1window_1remove_1filter",
	"_1gdk_1window_1resize",
	"_1gdk_1window_1restack",
	"_1gdk_1window_1scroll",
	"_1gdk_1window_1set_1accept_1focus",
	"_1gdk_1window_1set_1back_1pixmap",
	"_1gdk_1window_1set_1cursor",
	"_1gdk_1window_1set_1debug_1updates",
	"_1gdk_1window_1set_1decorations",
	"_1gdk_1window_1set_1events",
	"_1gdk_1window_1set_1icon",
	"_1gdk_1window_1set_1icon_1list",
	"_1gdk_1window_1set_1keep_1above",
	"_1gdk_1window_1set_1override_1redirect",
	"_1gdk_1window_1set_1user_1data",
	"_1gdk_1window_1shape_1combine_1region",
	"_1gdk_1window_1show",
	"_1gdk_1window_1show_1unraised",
	"_1gdk_1window_1thaw_1updates",
	"_1gdk_1x11_1atom_1to_1xatom",
	"_1gdk_1x11_1colormap_1get_1xcolormap",
	"_1gdk_1x11_1drawable_1get_1xdisplay",
	"_1gdk_1x11_1drawable_1get_1xid",
	"_1gdk_1x11_1screen_1get_1window_1manager_1name",
	"_1gdk_1x11_1screen_1lookup_1visual",
	"_1gdk_1x11_1visual_1get_1xvisual",
	"_1gtk_1accel_1group_1new",
	"_1gtk_1accel_1groups_1activate",
	"_1gtk_1accel_1label_1set_1accel_1widget",
	"_1gtk_1accelerator_1get_1default_1mod_1mask",
	"_1gtk_1accelerator_1parse",
	"_1gtk_1adjustment_1changed",
	"_1gtk_1adjustment_1new",
	"_1gtk_1adjustment_1set_1value",
	"_1gtk_1adjustment_1value_1changed",
	"_1gtk_1arrow_1new",
	"_1gtk_1arrow_1set",
	"_1gtk_1bin_1get_1child",
	"_1gtk_1border_1free",
	"_1gtk_1box_1set_1child_1packing",
	"_1gtk_1box_1set_1spacing",
	"_1gtk_1button_1clicked",
	"_1gtk_1button_1get_1relief",
	"_1gtk_1button_1new",
	"_1gtk_1button_1set_1relief",
	"_1gtk_1calendar_1clear_1marks",
	"_1gtk_1calendar_1display_1options",
	"_1gtk_1calendar_1get_1date",
	"_1gtk_1calendar_1mark_1day",
	"_1gtk_1calendar_1new",
	"_1gtk_1calendar_1select_1day",
	"_1gtk_1calendar_1select_1month",
	"_1gtk_1calendar_1set_1display_1options",
	"_1gtk_1cell_1layout_1clear",
	"_1gtk_1cell_1layout_1pack_1start",
	"_1gtk_1cell_1layout_1set_1attributes",
	"_1gtk_1cell_1renderer_1get_1size",
	"_1gtk_1cell_1renderer_1pixbuf_1new",
	"_1gtk_1cell_1renderer_1text_1new",
	"_1gtk_1cell_1renderer_1toggle_1new",
	"_1gtk_1check_1button_1new",
	"_1gtk_1check_1menu_1item_1get_1active",
	"_1gtk_1check_1menu_1item_1new_1with_1label",
	"_1gtk_1check_1menu_1item_1set_1active",
	"_1gtk_1check_1version",
	"_1gtk_1clipboard_1clear",
	"_1gtk_1clipboard_1get",
	"_1gtk_1clipboard_1set_1can_1store",
	"_1gtk_1clipboard_1set_1with_1data",
	"_1gtk_1clipboard_1set_1with_1owner",
	"_1gtk_1clipboard_1store",
	"_1gtk_1clipboard_1wait_1for_1contents",
	"_1gtk_1color_1selection_1dialog_1new",
	"_1gtk_1color_1selection_1get_1current_1color",
	"_1gtk_1color_1selection_1set_1current_1color",
	"_1gtk_1color_1selection_1set_1has_1palette",
	"_1gtk_1combo_1box_1entry_1new_1text",
	"_1gtk_1combo_1box_1get_1active",
	"_1gtk_1combo_1box_1get_1model",
	"_1gtk_1combo_1box_1insert_1text",
	"_1gtk_1combo_1box_1new_1text",
	"_1gtk_1combo_1box_1popdown",
	"_1gtk_1combo_1box_1popup",
	"_1gtk_1combo_1box_1remove_1text",
	"_1gtk_1combo_1box_1set_1active",
	"_1gtk_1combo_1box_1set_1focus_1on_1click",
	"_1gtk_1combo_1disable_1activate",
	"_1gtk_1combo_1new",
	"_1gtk_1combo_1set_1case_1sensitive",
	"_1gtk_1combo_1set_1popdown_1strings",
	"_1gtk_1container_1add",
	"_1gtk_1container_1forall",
	"_1gtk_1container_1get_1border_1width",
	"_1gtk_1container_1get_1children",
	"_1gtk_1container_1remove",
	"_1gtk_1container_1resize_1children",
	"_1gtk_1container_1set_1border_1width",
	"_1gtk_1dialog_1add_1button",
	"_1gtk_1dialog_1run",
	"_1gtk_1drag_1begin",
	"_1gtk_1drag_1check_1threshold",
	"_1gtk_1drag_1dest_1find_1target",
	"_1gtk_1drag_1dest_1set",
	"_1gtk_1drag_1dest_1unset",
	"_1gtk_1drag_1finish",
	"_1gtk_1drag_1get_1data",
	"_1gtk_1drag_1set_1icon_1pixbuf",
	"_1gtk_1drawing_1area_1new",
	"_1gtk_1editable_1copy_1clipboard",
	"_1gtk_1editable_1cut_1clipboard",
	"_1gtk_1editable_1delete_1selection",
	"_1gtk_1editable_1delete_1text",
	"_1gtk_1editable_1get_1chars",
	"_1gtk_1editable_1get_1editable",
	"_1gtk_1editable_1get_1position",
	"_1gtk_1editable_1get_1selection_1bounds",
	"_1gtk_1editable_1insert_1text",
	"_1gtk_1editable_1paste_1clipboard",
	"_1gtk_1editable_1select_1region",
	"_1gtk_1editable_1set_1editable",
	"_1gtk_1editable_1set_1position",
	"_1gtk_1entry_1get_1inner_1border",
	"_1gtk_1entry_1get_1invisible_1char",
	"_1gtk_1entry_1get_1layout",
	"_1gtk_1entry_1get_1layout_1offsets",
	"_1gtk_1entry_1get_1max_1length",
	"_1gtk_1entry_1get_1text",
	"_1gtk_1entry_1get_1visibility",
	"_1gtk_1entry_1new",
	"_1gtk_1entry_1set_1activates_1default",
	"_1gtk_1entry_1set_1alignment",
	"_1gtk_1entry_1set_1has_1frame",
	"_1gtk_1entry_1set_1icon_1from_1stock",
	"_1gtk_1entry_1set_1icon_1sensitive",
	"_1gtk_1entry_1set_1invisible_1char",
	"_1gtk_1entry_1set_1max_1length",
	"_1gtk_1entry_1set_1text",
	"_1gtk_1entry_1set_1visibility",
	"_1gtk_1entry_1text_1index_1to_1layout_1index",
	"_1gtk_1enumerate_1printers",
	"_1gtk_1events_1pending",
	"_1gtk_1expander_1get_1expanded",
	"_1gtk_1expander_1get_1label_1widget",
	"_1gtk_1expander_1new",
	"_1gtk_1expander_1set_1expanded",
	"_1gtk_1expander_1set_1label",
	"_1gtk_1expander_1set_1label_1widget",
	"_1gtk_1file_1chooser_1add_1filter",
	"_1gtk_1file_1chooser_1dialog_1new",
	"_1gtk_1file_1chooser_1get_1current_1folder",
	"_1gtk_1file_1chooser_1get_1filename",
	"_1gtk_1file_1chooser_1get_1filenames",
	"_1gtk_1file_1chooser_1get_1filter",
	"_1gtk_1file_1chooser_1get_1uri",
	"_1gtk_1file_1chooser_1get_1uris",
	"_1gtk_1file_1chooser_1set_1current_1folder",
	"_1gtk_1file_1chooser_1set_1current_1folder_1uri",
	"_1gtk_1file_1chooser_1set_1current_1name",
	"_1gtk_1file_1chooser_1set_1do_1overwrite_1confirmation",
	"_1gtk_1file_1chooser_1set_1extra_1widget",
	"_1gtk_1file_1chooser_1set_1filename",
	"_1gtk_1file_1chooser_1set_1filter",
	"_1gtk_1file_1chooser_1set_1local_1only",
	"_1gtk_1file_1chooser_1set_1select_1multiple",
	"_1gtk_1file_1chooser_1set_1uri",
	"_1gtk_1file_1filter_1add_1pattern",
	"_1gtk_1file_1filter_1get_1name",
	"_1gtk_1file_1filter_1new",
	"_1gtk_1file_1filter_1set_1name",
	"_1gtk_1file_1selection_1get_1filename",
	"_1gtk_1file_1selection_1get_1selections",
	"_1gtk_1file_1selection_1hide_1fileop_1buttons",
	"_1gtk_1file_1selection_1new",
	"_1gtk_1file_1selection_1set_1filename",
	"_1gtk_1file_1selection_1set_1select_1multiple",
	"_1gtk_1fixed_1move",
	"_1gtk_1fixed_1new",
	"_1gtk_1fixed_1set_1has_1window",
	"_1gtk_1font_1selection_1dialog_1get_1font_1name",
	"_1gtk_1font_1selection_1dialog_1new",
	"_1gtk_1font_1selection_1dialog_1set_1font_1name",
	"_1gtk_1frame_1get_1label_1widget",
	"_1gtk_1frame_1new",
	"_1gtk_1frame_1set_1label",
	"_1gtk_1frame_1set_1label_1widget",
	"_1gtk_1frame_1set_1shadow_1type",
	"_1gtk_1get_1current_1event",
	"_1gtk_1get_1current_1event_1state",
	"_1gtk_1get_1current_1event_1time",
	"_1gtk_1get_1default_1language",
	"_1gtk_1get_1event_1widget",
	"_1gtk_1grab_1add",
	"_1gtk_1grab_1get_1current",
	"_1gtk_1grab_1remove",
	"_1gtk_1hbox_1new",
	"_1gtk_1hscale_1new",
	"_1gtk_1hscrollbar_1new",
	"_1gtk_1hseparator_1new",
	"_1gtk_1icon_1factory_1lookup_1default",
	"_1gtk_1icon_1info_1free",
	"_1gtk_1icon_1info_1load_1icon",
	"_1gtk_1icon_1set_1render_1icon",
	"_1gtk_1icon_1source_1free",
	"_1gtk_1icon_1source_1new",
	"_1gtk_1icon_1source_1set_1pixbuf",
	"_1gtk_1icon_1theme_1get_1default",
	"_1gtk_1icon_1theme_1lookup_1by_1gicon",
	"_1gtk_1im_1context_1filter_1keypress",
	"_1gtk_1im_1context_1focus_1in",
	"_1gtk_1im_1context_1focus_1out",
	"_1gtk_1im_1context_1get_1preedit_1string",
	"_1gtk_1im_1context_1get_1type",
	"_1gtk_1im_1context_1reset",
	"_1gtk_1im_1context_1set_1client_1window",
	"_1gtk_1im_1context_1set_1cursor_1location",
	"_1gtk_1im_1multicontext_1append_1menuitems",
	"_1gtk_1im_1multicontext_1new",
	"_1gtk_1image_1menu_1item_1new_1with_1label",
	"_1gtk_1image_1menu_1item_1set_1image",
	"_1gtk_1image_1new",
	"_1gtk_1image_1new_1from_1pixbuf",
	"_1gtk_1image_1new_1from_1pixmap",
	"_1gtk_1image_1set_1from_1pixbuf",
	"_1gtk_1image_1set_1from_1pixmap",
	"_1gtk_1init_1check",
	"_1gtk_1label_1get_1layout",
	"_1gtk_1label_1get_1mnemonic_1keyval",
	"_1gtk_1label_1new",
	"_1gtk_1label_1new_1with_1mnemonic",
	"_1gtk_1label_1set_1attributes",
	"_1gtk_1label_1set_1justify",
	"_1gtk_1label_1set_1line_1wrap",
	"_1gtk_1label_1set_1line_1wrap_1mode",
#ifndef JNI64
	"_1gtk_1label_1set_1text__II",
#else
	"_1gtk_1label_1set_1text__JJ",
#endif
#ifndef JNI64
	"_1gtk_1label_1set_1text__I_3B",
#else
	"_1gtk_1label_1set_1text__J_3B",
#endif
	"_1gtk_1label_1set_1text_1with_1mnemonic",
	"_1gtk_1list_1append_1items",
	"_1gtk_1list_1clear_1items",
	"_1gtk_1list_1insert_1items",
	"_1gtk_1list_1item_1new_1with_1label",
	"_1gtk_1list_1remove_1items",
	"_1gtk_1list_1select_1item",
	"_1gtk_1list_1store_1append",
	"_1gtk_1list_1store_1clear",
	"_1gtk_1list_1store_1insert",
	"_1gtk_1list_1store_1newv",
	"_1gtk_1list_1store_1remove",
#ifndef JNI64
	"_1gtk_1list_1store_1set__IIIII",
#else
	"_1gtk_1list_1store_1set__JJIIJ",
#endif
#ifndef JNI64
	"_1gtk_1list_1store_1set__IIIJI",
#else
	"_1gtk_1list_1store_1set__JJIJJ",
#endif
#ifndef JNI64
	"_1gtk_1list_1store_1set__IIILorg_eclipse_swt_internal_gtk_GdkColor_2I",
#else
	"_1gtk_1list_1store_1set__JJILorg_eclipse_swt_internal_gtk_GdkColor_2J",
#endif
#ifndef JNI64
	"_1gtk_1list_1store_1set__IIIZI",
#else
	"_1gtk_1list_1store_1set__JJIZJ",
#endif
#ifndef JNI64
	"_1gtk_1list_1store_1set__III_3BI",
#else
	"_1gtk_1list_1store_1set__JJI_3BJ",
#endif
	"_1gtk_1list_1unselect_1all",
	"_1gtk_1list_1unselect_1item",
	"_1gtk_1main",
	"_1gtk_1main_1do_1event",
	"_1gtk_1main_1iteration",
	"_1gtk_1major_1version",
	"_1gtk_1menu_1bar_1new",
	"_1gtk_1menu_1get_1attach_1widget",
	"_1gtk_1menu_1item_1get_1submenu",
	"_1gtk_1menu_1item_1remove_1submenu",
	"_1gtk_1menu_1item_1set_1submenu",
	"_1gtk_1menu_1new",
	"_1gtk_1menu_1popdown",
	"_1gtk_1menu_1popup",
	"_1gtk_1menu_1shell_1deactivate",
	"_1gtk_1menu_1shell_1insert",
	"_1gtk_1menu_1shell_1select_1item",
	"_1gtk_1menu_1shell_1set_1take_1focus",
	"_1gtk_1message_1dialog_1new",
	"_1gtk_1micro_1version",
	"_1gtk_1minor_1version",
	"_1gtk_1misc_1set_1alignment",
	"_1gtk_1notebook_1get_1current_1page",
	"_1gtk_1notebook_1get_1scrollable",
	"_1gtk_1notebook_1insert_1page",
	"_1gtk_1notebook_1new",
	"_1gtk_1notebook_1next_1page",
	"_1gtk_1notebook_1prev_1page",
	"_1gtk_1notebook_1remove_1page",
	"_1gtk_1notebook_1set_1current_1page",
	"_1gtk_1notebook_1set_1scrollable",
	"_1gtk_1notebook_1set_1show_1tabs",
	"_1gtk_1notebook_1set_1tab_1pos",
	"_1gtk_1object_1sink",
	"_1gtk_1page_1setup_1get_1bottom_1margin",
	"_1gtk_1page_1setup_1get_1left_1margin",
	"_1gtk_1page_1setup_1get_1orientation",
	"_1gtk_1page_1setup_1get_1page_1height",
	"_1gtk_1page_1setup_1get_1page_1width",
	"_1gtk_1page_1setup_1get_1paper_1height",
	"_1gtk_1page_1setup_1get_1paper_1size",
	"_1gtk_1page_1setup_1get_1paper_1width",
	"_1gtk_1page_1setup_1get_1right_1margin",
	"_1gtk_1page_1setup_1get_1top_1margin",
	"_1gtk_1page_1setup_1new",
	"_1gtk_1page_1setup_1set_1bottom_1margin",
	"_1gtk_1page_1setup_1set_1left_1margin",
	"_1gtk_1page_1setup_1set_1orientation",
	"_1gtk_1page_1setup_1set_1paper_1size",
	"_1gtk_1page_1setup_1set_1right_1margin",
	"_1gtk_1page_1setup_1set_1top_1margin",
	"_1gtk_1paint_1arrow",
	"_1gtk_1paint_1box",
	"_1gtk_1paint_1box_1gap",
	"_1gtk_1paint_1check",
	"_1gtk_1paint_1expander",
	"_1gtk_1paint_1extension",
	"_1gtk_1paint_1flat_1box",
	"_1gtk_1paint_1focus",
	"_1gtk_1paint_1handle",
	"_1gtk_1paint_1hline",
	"_1gtk_1paint_1layout",
	"_1gtk_1paint_1option",
	"_1gtk_1paint_1shadow",
	"_1gtk_1paint_1shadow_1gap",
	"_1gtk_1paint_1slider",
	"_1gtk_1paint_1tab",
	"_1gtk_1paint_1vline",
	"_1gtk_1paper_1size_1free",
	"_1gtk_1paper_1size_1get_1display_1name",
	"_1gtk_1paper_1size_1get_1height",
	"_1gtk_1paper_1size_1get_1name",
	"_1gtk_1paper_1size_1get_1ppd_1name",
	"_1gtk_1paper_1size_1get_1width",
	"_1gtk_1paper_1size_1is_1custom",
	"_1gtk_1paper_1size_1new",
	"_1gtk_1paper_1size_1new_1custom",
	"_1gtk_1paper_1size_1new_1from_1ppd",
	"_1gtk_1plug_1get_1id",
	"_1gtk_1plug_1new",
	"_1gtk_1print_1job_1get_1printer",
	"_1gtk_1print_1job_1get_1settings",
	"_1gtk_1print_1job_1get_1status",
	"_1gtk_1print_1job_1get_1surface",
	"_1gtk_1print_1job_1get_1title",
	"_1gtk_1print_1job_1new",
	"_1gtk_1print_1job_1send",
	"_1gtk_1print_1job_1set_1source_1file",
	"_1gtk_1print_1settings_1foreach",
	"_1gtk_1print_1settings_1get",
	"_1gtk_1print_1settings_1get_1collate",
	"_1gtk_1print_1settings_1get_1duplex",
	"_1gtk_1print_1settings_1get_1n_1copies",
	"_1gtk_1print_1settings_1get_1orientation",
	"_1gtk_1print_1settings_1get_1page_1ranges",
	"_1gtk_1print_1settings_1get_1paper_1height",
	"_1gtk_1print_1settings_1get_1paper_1width",
	"_1gtk_1print_1settings_1get_1print_1pages",
	"_1gtk_1print_1settings_1get_1printer",
	"_1gtk_1print_1settings_1get_1resolution",
	"_1gtk_1print_1settings_1new",
	"_1gtk_1print_1settings_1set",
	"_1gtk_1print_1settings_1set_1collate",
	"_1gtk_1print_1settings_1set_1duplex",
	"_1gtk_1print_1settings_1set_1n_1copies",
	"_1gtk_1print_1settings_1set_1orientation",
	"_1gtk_1print_1settings_1set_1page_1ranges",
	"_1gtk_1print_1settings_1set_1print_1pages",
	"_1gtk_1print_1settings_1set_1printer",
	"_1gtk_1print_1unix_1dialog_1get_1current_1page",
	"_1gtk_1print_1unix_1dialog_1get_1page_1setup",
	"_1gtk_1print_1unix_1dialog_1get_1selected_1printer",
	"_1gtk_1print_1unix_1dialog_1get_1settings",
	"_1gtk_1print_1unix_1dialog_1new",
	"_1gtk_1print_1unix_1dialog_1set_1current_1page",
	"_1gtk_1print_1unix_1dialog_1set_1embed_1page_1setup",
	"_1gtk_1print_1unix_1dialog_1set_1manual_1capabilities",
	"_1gtk_1print_1unix_1dialog_1set_1page_1setup",
	"_1gtk_1print_1unix_1dialog_1set_1settings",
	"_1gtk_1printer_1get_1backend",
	"_1gtk_1printer_1get_1name",
	"_1gtk_1printer_1is_1default",
	"_1gtk_1progress_1bar_1new",
	"_1gtk_1progress_1bar_1pulse",
	"_1gtk_1progress_1bar_1set_1fraction",
	"_1gtk_1progress_1bar_1set_1orientation",
	"_1gtk_1radio_1button_1get_1group",
	"_1gtk_1radio_1button_1new",
	"_1gtk_1radio_1menu_1item_1get_1group",
	"_1gtk_1radio_1menu_1item_1new",
	"_1gtk_1radio_1menu_1item_1new_1with_1label",
	"_1gtk_1range_1get_1adjustment",
	"_1gtk_1range_1set_1increments",
	"_1gtk_1range_1set_1inverted",
	"_1gtk_1range_1set_1range",
	"_1gtk_1range_1set_1value",
	"_1gtk_1rc_1parse_1string",
	"_1gtk_1rc_1style_1get_1bg_1pixmap_1name",
	"_1gtk_1rc_1style_1get_1color_1flags",
	"_1gtk_1rc_1style_1set_1bg",
	"_1gtk_1rc_1style_1set_1bg_1pixmap_1name",
	"_1gtk_1rc_1style_1set_1color_1flags",
	"_1gtk_1rc_1style_1set_1fg",
	"_1gtk_1rc_1style_1set_1text",
	"_1gtk_1scale_1set_1digits",
	"_1gtk_1scale_1set_1draw_1value",
	"_1gtk_1scrolled_1window_1add_1with_1viewport",
	"_1gtk_1scrolled_1window_1get_1hadjustment",
	"_1gtk_1scrolled_1window_1get_1policy",
	"_1gtk_1scrolled_1window_1get_1shadow_1type",
	"_1gtk_1scrolled_1window_1get_1vadjustment",
	"_1gtk_1scrolled_1window_1new",
	"_1gtk_1scrolled_1window_1set_1placement",
	"_1gtk_1scrolled_1window_1set_1policy",
	"_1gtk_1scrolled_1window_1set_1shadow_1type",
	"_1gtk_1selection_1data_1free",
	"_1gtk_1selection_1data_1set",
	"_1gtk_1separator_1menu_1item_1new",
	"_1gtk_1set_1locale",
	"_1gtk_1settings_1get_1default",
	"_1gtk_1socket_1get_1id",
	"_1gtk_1socket_1new",
	"_1gtk_1spin_1button_1configure",
	"_1gtk_1spin_1button_1get_1adjustment",
	"_1gtk_1spin_1button_1get_1digits",
	"_1gtk_1spin_1button_1new",
	"_1gtk_1spin_1button_1set_1digits",
	"_1gtk_1spin_1button_1set_1increments",
	"_1gtk_1spin_1button_1set_1range",
	"_1gtk_1spin_1button_1set_1value",
	"_1gtk_1spin_1button_1set_1wrap",
	"_1gtk_1spin_1button_1update",
	"_1gtk_1status_1icon_1get_1geometry",
	"_1gtk_1status_1icon_1get_1visible",
	"_1gtk_1status_1icon_1new",
	"_1gtk_1status_1icon_1position_1menu_1func",
	"_1gtk_1status_1icon_1set_1from_1pixbuf",
	"_1gtk_1status_1icon_1set_1tooltip",
	"_1gtk_1status_1icon_1set_1visible",
	"_1gtk_1style_1get_1base",
	"_1gtk_1style_1get_1bg",
	"_1gtk_1style_1get_1bg_1gc",
	"_1gtk_1style_1get_1black",
	"_1gtk_1style_1get_1black_1gc",
	"_1gtk_1style_1get_1dark",
	"_1gtk_1style_1get_1dark_1gc",
	"_1gtk_1style_1get_1fg",
	"_1gtk_1style_1get_1fg_1gc",
	"_1gtk_1style_1get_1font_1desc",
	"_1gtk_1style_1get_1light",
	"_1gtk_1style_1get_1light_1gc",
	"_1gtk_1style_1get_1mid_1gc",
	"_1gtk_1style_1get_1text",
	"_1gtk_1style_1get_1text_1aa_1gc",
	"_1gtk_1style_1get_1text_1gc",
	"_1gtk_1style_1get_1white_1gc",
	"_1gtk_1style_1get_1xthickness",
	"_1gtk_1style_1get_1ythickness",
	"_1gtk_1style_1render_1icon",
	"_1gtk_1target_1list_1new",
	"_1gtk_1target_1list_1unref",
	"_1gtk_1text_1buffer_1copy_1clipboard",
	"_1gtk_1text_1buffer_1cut_1clipboard",
	"_1gtk_1text_1buffer_1delete",
	"_1gtk_1text_1buffer_1get_1bounds",
	"_1gtk_1text_1buffer_1get_1char_1count",
	"_1gtk_1text_1buffer_1get_1end_1iter",
	"_1gtk_1text_1buffer_1get_1insert",
	"_1gtk_1text_1buffer_1get_1iter_1at_1line",
	"_1gtk_1text_1buffer_1get_1iter_1at_1mark",
	"_1gtk_1text_1buffer_1get_1iter_1at_1offset",
	"_1gtk_1text_1buffer_1get_1line_1count",
	"_1gtk_1text_1buffer_1get_1selection_1bound",
	"_1gtk_1text_1buffer_1get_1selection_1bounds",
	"_1gtk_1text_1buffer_1get_1text",
#ifndef JNI64
	"_1gtk_1text_1buffer_1insert__II_3BI",
#else
	"_1gtk_1text_1buffer_1insert__JJ_3BI",
#endif
#ifndef JNI64
	"_1gtk_1text_1buffer_1insert__I_3B_3BI",
#else
	"_1gtk_1text_1buffer_1insert__J_3B_3BI",
#endif
	"_1gtk_1text_1buffer_1move_1mark",
	"_1gtk_1text_1buffer_1paste_1clipboard",
	"_1gtk_1text_1buffer_1place_1cursor",
	"_1gtk_1text_1buffer_1set_1text",
	"_1gtk_1text_1iter_1get_1line",
	"_1gtk_1text_1iter_1get_1offset",
	"_1gtk_1text_1view_1buffer_1to_1window_1coords",
	"_1gtk_1text_1view_1get_1buffer",
	"_1gtk_1text_1view_1get_1editable",
	"_1gtk_1text_1view_1get_1iter_1at_1location",
	"_1gtk_1text_1view_1get_1iter_1location",
	"_1gtk_1text_1view_1get_1line_1at_1y",
	"_1gtk_1text_1view_1get_1visible_1rect",
	"_1gtk_1text_1view_1get_1window",
	"_1gtk_1text_1view_1new",
	"_1gtk_1text_1view_1scroll_1mark_1onscreen",
	"_1gtk_1text_1view_1scroll_1to_1iter",
	"_1gtk_1text_1view_1set_1editable",
	"_1gtk_1text_1view_1set_1justification",
	"_1gtk_1text_1view_1set_1tabs",
	"_1gtk_1text_1view_1set_1wrap_1mode",
	"_1gtk_1text_1view_1window_1to_1buffer_1coords",
	"_1gtk_1timeout_1add",
	"_1gtk_1timeout_1remove",
	"_1gtk_1toggle_1button_1get_1active",
	"_1gtk_1toggle_1button_1get_1inconsistent",
	"_1gtk_1toggle_1button_1new",
	"_1gtk_1toggle_1button_1set_1active",
	"_1gtk_1toggle_1button_1set_1inconsistent",
	"_1gtk_1toggle_1button_1set_1mode",
	"_1gtk_1toolbar_1insert_1widget",
	"_1gtk_1toolbar_1new",
	"_1gtk_1toolbar_1set_1orientation",
	"_1gtk_1tooltip_1trigger_1tooltip_1query",
	"_1gtk_1tooltips_1data_1get",
	"_1gtk_1tooltips_1disable",
	"_1gtk_1tooltips_1enable",
	"_1gtk_1tooltips_1force_1window",
	"_1gtk_1tooltips_1new",
	"_1gtk_1tooltips_1set_1tip",
#ifndef JNI64
	"_1gtk_1tree_1model_1get__III_3II",
#else
	"_1gtk_1tree_1model_1get__JJI_3IJ",
#endif
#ifndef JNI64
	"_1gtk_1tree_1model_1get__III_3JI",
#else
	"_1gtk_1tree_1model_1get__JJI_3JJ",
#endif
	"_1gtk_1tree_1model_1get_1iter",
	"_1gtk_1tree_1model_1get_1iter_1first",
	"_1gtk_1tree_1model_1get_1n_1columns",
	"_1gtk_1tree_1model_1get_1path",
	"_1gtk_1tree_1model_1get_1type",
	"_1gtk_1tree_1model_1iter_1children",
	"_1gtk_1tree_1model_1iter_1n_1children",
	"_1gtk_1tree_1model_1iter_1next",
	"_1gtk_1tree_1model_1iter_1nth_1child",
	"_1gtk_1tree_1path_1append_1index",
	"_1gtk_1tree_1path_1compare",
	"_1gtk_1tree_1path_1down",
	"_1gtk_1tree_1path_1free",
	"_1gtk_1tree_1path_1get_1depth",
	"_1gtk_1tree_1path_1get_1indices",
	"_1gtk_1tree_1path_1new",
	"_1gtk_1tree_1path_1new_1first",
#ifndef JNI64
	"_1gtk_1tree_1path_1new_1from_1string__I",
#else
	"_1gtk_1tree_1path_1new_1from_1string__J",
#endif
	"_1gtk_1tree_1path_1new_1from_1string___3B",
	"_1gtk_1tree_1path_1next",
	"_1gtk_1tree_1path_1prev",
	"_1gtk_1tree_1path_1up",
	"_1gtk_1tree_1selection_1count_1selected_1rows",
	"_1gtk_1tree_1selection_1get_1selected",
	"_1gtk_1tree_1selection_1get_1selected_1rows",
	"_1gtk_1tree_1selection_1path_1is_1selected",
	"_1gtk_1tree_1selection_1select_1all",
	"_1gtk_1tree_1selection_1select_1iter",
	"_1gtk_1tree_1selection_1selected_1foreach",
	"_1gtk_1tree_1selection_1set_1mode",
	"_1gtk_1tree_1selection_1unselect_1all",
	"_1gtk_1tree_1selection_1unselect_1iter",
	"_1gtk_1tree_1store_1append",
	"_1gtk_1tree_1store_1clear",
	"_1gtk_1tree_1store_1insert",
	"_1gtk_1tree_1store_1newv",
	"_1gtk_1tree_1store_1remove",
#ifndef JNI64
	"_1gtk_1tree_1store_1set__IIIII",
#else
	"_1gtk_1tree_1store_1set__JJIIJ",
#endif
#ifndef JNI64
	"_1gtk_1tree_1store_1set__IIIJI",
#else
	"_1gtk_1tree_1store_1set__JJIJJ",
#endif
#ifndef JNI64
	"_1gtk_1tree_1store_1set__IIILorg_eclipse_swt_internal_gtk_GdkColor_2I",
#else
	"_1gtk_1tree_1store_1set__JJILorg_eclipse_swt_internal_gtk_GdkColor_2J",
#endif
#ifndef JNI64
	"_1gtk_1tree_1store_1set__IIIZI",
#else
	"_1gtk_1tree_1store_1set__JJIZJ",
#endif
#ifndef JNI64
	"_1gtk_1tree_1store_1set__III_3BI",
#else
	"_1gtk_1tree_1store_1set__JJI_3BJ",
#endif
	"_1gtk_1tree_1view_1collapse_1row",
	"_1gtk_1tree_1view_1column_1add_1attribute",
	"_1gtk_1tree_1view_1column_1cell_1get_1position",
	"_1gtk_1tree_1view_1column_1cell_1get_1size",
	"_1gtk_1tree_1view_1column_1cell_1set_1cell_1data",
	"_1gtk_1tree_1view_1column_1clear",
	"_1gtk_1tree_1view_1column_1get_1cell_1renderers",
	"_1gtk_1tree_1view_1column_1get_1fixed_1width",
	"_1gtk_1tree_1view_1column_1get_1reorderable",
	"_1gtk_1tree_1view_1column_1get_1resizable",
	"_1gtk_1tree_1view_1column_1get_1sizing",
	"_1gtk_1tree_1view_1column_1get_1sort_1indicator",
	"_1gtk_1tree_1view_1column_1get_1sort_1order",
	"_1gtk_1tree_1view_1column_1get_1spacing",
	"_1gtk_1tree_1view_1column_1get_1visible",
	"_1gtk_1tree_1view_1column_1get_1width",
	"_1gtk_1tree_1view_1column_1new",
	"_1gtk_1tree_1view_1column_1pack_1end",
	"_1gtk_1tree_1view_1column_1pack_1start",
	"_1gtk_1tree_1view_1column_1set_1alignment",
	"_1gtk_1tree_1view_1column_1set_1cell_1data_1func",
	"_1gtk_1tree_1view_1column_1set_1clickable",
	"_1gtk_1tree_1view_1column_1set_1fixed_1width",
	"_1gtk_1tree_1view_1column_1set_1min_1width",
	"_1gtk_1tree_1view_1column_1set_1reorderable",
	"_1gtk_1tree_1view_1column_1set_1resizable",
	"_1gtk_1tree_1view_1column_1set_1sizing",
	"_1gtk_1tree_1view_1column_1set_1sort_1indicator",
	"_1gtk_1tree_1view_1column_1set_1sort_1order",
	"_1gtk_1tree_1view_1column_1set_1title",
	"_1gtk_1tree_1view_1column_1set_1visible",
	"_1gtk_1tree_1view_1column_1set_1widget",
	"_1gtk_1tree_1view_1create_1row_1drag_1icon",
	"_1gtk_1tree_1view_1expand_1row",
	"_1gtk_1tree_1view_1get_1background_1area",
	"_1gtk_1tree_1view_1get_1bin_1window",
	"_1gtk_1tree_1view_1get_1cell_1area",
	"_1gtk_1tree_1view_1get_1column",
	"_1gtk_1tree_1view_1get_1columns",
	"_1gtk_1tree_1view_1get_1cursor",
	"_1gtk_1tree_1view_1get_1expander_1column",
	"_1gtk_1tree_1view_1get_1headers_1visible",
	"_1gtk_1tree_1view_1get_1path_1at_1pos",
	"_1gtk_1tree_1view_1get_1rules_1hint",
	"_1gtk_1tree_1view_1get_1selection",
	"_1gtk_1tree_1view_1get_1visible_1rect",
	"_1gtk_1tree_1view_1insert_1column",
	"_1gtk_1tree_1view_1move_1column_1after",
	"_1gtk_1tree_1view_1new_1with_1model",
	"_1gtk_1tree_1view_1remove_1column",
	"_1gtk_1tree_1view_1row_1expanded",
	"_1gtk_1tree_1view_1scroll_1to_1cell",
	"_1gtk_1tree_1view_1scroll_1to_1point",
	"_1gtk_1tree_1view_1set_1cursor",
	"_1gtk_1tree_1view_1set_1drag_1dest_1row",
	"_1gtk_1tree_1view_1set_1enable_1search",
	"_1gtk_1tree_1view_1set_1grid_1lines",
	"_1gtk_1tree_1view_1set_1headers_1visible",
	"_1gtk_1tree_1view_1set_1model",
	"_1gtk_1tree_1view_1set_1rules_1hint",
	"_1gtk_1tree_1view_1set_1search_1column",
	"_1gtk_1tree_1view_1tree_1to_1widget_1coords",
	"_1gtk_1tree_1view_1unset_1rows_1drag_1dest",
	"_1gtk_1tree_1view_1widget_1to_1tree_1coords",
	"_1gtk_1vbox_1new",
	"_1gtk_1viewport_1get_1shadow_1type",
	"_1gtk_1viewport_1set_1shadow_1type",
	"_1gtk_1vscale_1new",
	"_1gtk_1vscrollbar_1new",
	"_1gtk_1vseparator_1new",
	"_1gtk_1widget_1add_1accelerator",
	"_1gtk_1widget_1add_1events",
	"_1gtk_1widget_1child_1focus",
#ifndef JNI64
	"_1gtk_1widget_1create_1pango_1layout__II",
#else
	"_1gtk_1widget_1create_1pango_1layout__JJ",
#endif
#ifndef JNI64
	"_1gtk_1widget_1create_1pango_1layout__I_3B",
#else
	"_1gtk_1widget_1create_1pango_1layout__J_3B",
#endif
	"_1gtk_1widget_1destroy",
	"_1gtk_1widget_1event",
	"_1gtk_1widget_1get_1accessible",
	"_1gtk_1widget_1get_1child_1visible",
	"_1gtk_1widget_1get_1default_1direction",
	"_1gtk_1widget_1get_1default_1style",
	"_1gtk_1widget_1get_1direction",
	"_1gtk_1widget_1get_1events",
	"_1gtk_1widget_1get_1modifier_1style",
	"_1gtk_1widget_1get_1pango_1context",
	"_1gtk_1widget_1get_1parent",
	"_1gtk_1widget_1get_1parent_1window",
	"_1gtk_1widget_1get_1size_1request",
	"_1gtk_1widget_1get_1style",
	"_1gtk_1widget_1get_1toplevel",
	"_1gtk_1widget_1grab_1focus",
	"_1gtk_1widget_1hide",
	"_1gtk_1widget_1is_1composited",
	"_1gtk_1widget_1is_1focus",
	"_1gtk_1widget_1map",
	"_1gtk_1widget_1mnemonic_1activate",
	"_1gtk_1widget_1modify_1base",
	"_1gtk_1widget_1modify_1bg",
	"_1gtk_1widget_1modify_1fg",
	"_1gtk_1widget_1modify_1font",
	"_1gtk_1widget_1modify_1style",
	"_1gtk_1widget_1modify_1text",
	"_1gtk_1widget_1queue_1resize",
	"_1gtk_1widget_1realize",
	"_1gtk_1widget_1remove_1accelerator",
	"_1gtk_1widget_1reparent",
	"_1gtk_1widget_1send_1expose",
	"_1gtk_1widget_1set_1app_1paintable",
	"_1gtk_1widget_1set_1default_1direction",
	"_1gtk_1widget_1set_1direction",
	"_1gtk_1widget_1set_1double_1buffered",
	"_1gtk_1widget_1set_1name",
	"_1gtk_1widget_1set_1parent_1window",
	"_1gtk_1widget_1set_1redraw_1on_1allocate",
	"_1gtk_1widget_1set_1sensitive",
	"_1gtk_1widget_1set_1size_1request",
	"_1gtk_1widget_1set_1state",
	"_1gtk_1widget_1set_1style",
	"_1gtk_1widget_1set_1tooltip_1text",
	"_1gtk_1widget_1shape_1combine_1mask",
	"_1gtk_1widget_1show",
	"_1gtk_1widget_1show_1now",
	"_1gtk_1widget_1size_1allocate",
	"_1gtk_1widget_1size_1request",
#ifndef JNI64
	"_1gtk_1widget_1style_1get__I_3B_3II",
#else
	"_1gtk_1widget_1style_1get__J_3B_3IJ",
#endif
#ifndef JNI64
	"_1gtk_1widget_1style_1get__I_3B_3JI",
#else
	"_1gtk_1widget_1style_1get__J_3B_3JJ",
#endif
	"_1gtk_1widget_1translate_1coordinates",
	"_1gtk_1widget_1unrealize",
	"_1gtk_1window_1activate_1default",
	"_1gtk_1window_1add_1accel_1group",
	"_1gtk_1window_1deiconify",
	"_1gtk_1window_1fullscreen",
	"_1gtk_1window_1get_1focus",
	"_1gtk_1window_1get_1group",
	"_1gtk_1window_1get_1icon_1list",
	"_1gtk_1window_1get_1mnemonic_1modifier",
	"_1gtk_1window_1get_1modal",
	"_1gtk_1window_1get_1opacity",
	"_1gtk_1window_1get_1position",
	"_1gtk_1window_1get_1size",
	"_1gtk_1window_1group_1add_1window",
	"_1gtk_1window_1group_1new",
	"_1gtk_1window_1group_1remove_1window",
	"_1gtk_1window_1iconify",
	"_1gtk_1window_1is_1active",
	"_1gtk_1window_1list_1toplevels",
	"_1gtk_1window_1maximize",
	"_1gtk_1window_1move",
	"_1gtk_1window_1new",
	"_1gtk_1window_1present",
	"_1gtk_1window_1remove_1accel_1group",
	"_1gtk_1window_1resize",
	"_1gtk_1window_1set_1default",
	"_1gtk_1window_1set_1destroy_1with_1parent",
	"_1gtk_1window_1set_1geometry_1hints",
	"_1gtk_1window_1set_1icon_1list",
	"_1gtk_1window_1set_1keep_1below",
	"_1gtk_1window_1set_1modal",
	"_1gtk_1window_1set_1opacity",
	"_1gtk_1window_1set_1resizable",
	"_1gtk_1window_1set_1skip_1taskbar_1hint",
	"_1gtk_1window_1set_1title",
	"_1gtk_1window_1set_1transient_1for",
	"_1gtk_1window_1set_1type_1hint",
	"_1gtk_1window_1unfullscreen",
	"_1gtk_1window_1unmaximize",
	"_1pango_1attr_1background_1new",
	"_1pango_1attr_1font_1desc_1new",
	"_1pango_1attr_1foreground_1new",
	"_1pango_1attr_1iterator_1destroy",
	"_1pango_1attr_1iterator_1get",
	"_1pango_1attr_1iterator_1get_1attrs",
	"_1pango_1attr_1iterator_1next",
	"_1pango_1attr_1iterator_1range",
	"_1pango_1attr_1list_1change",
	"_1pango_1attr_1list_1get_1iterator",
	"_1pango_1attr_1list_1insert",
	"_1pango_1attr_1list_1new",
	"_1pango_1attr_1list_1unref",
	"_1pango_1attr_1rise_1new",
	"_1pango_1attr_1shape_1new",
	"_1pango_1attr_1strikethrough_1color_1new",
	"_1pango_1attr_1strikethrough_1new",
	"_1pango_1attr_1underline_1color_1new",
	"_1pango_1attr_1underline_1new",
	"_1pango_1attr_1weight_1new",
	"_1pango_1cairo_1context_1get_1font_1options",
	"_1pango_1cairo_1context_1set_1font_1options",
	"_1pango_1cairo_1create_1layout",
	"_1pango_1cairo_1font_1map_1create_1context",
	"_1pango_1cairo_1font_1map_1get_1default",
	"_1pango_1cairo_1font_1map_1new",
	"_1pango_1cairo_1font_1map_1set_1resolution",
	"_1pango_1cairo_1layout_1path",
	"_1pango_1cairo_1show_1layout",
	"_1pango_1context_1get_1base_1dir",
	"_1pango_1context_1get_1language",
	"_1pango_1context_1get_1metrics",
	"_1pango_1context_1list_1families",
	"_1pango_1context_1set_1base_1dir",
	"_1pango_1context_1set_1language",
	"_1pango_1font_1description_1copy",
	"_1pango_1font_1description_1free",
	"_1pango_1font_1description_1from_1string",
	"_1pango_1font_1description_1get_1family",
	"_1pango_1font_1description_1get_1size",
	"_1pango_1font_1description_1get_1stretch",
	"_1pango_1font_1description_1get_1style",
	"_1pango_1font_1description_1get_1variant",
	"_1pango_1font_1description_1get_1weight",
	"_1pango_1font_1description_1new",
	"_1pango_1font_1description_1set_1family",
	"_1pango_1font_1description_1set_1size",
	"_1pango_1font_1description_1set_1stretch",
	"_1pango_1font_1description_1set_1style",
	"_1pango_1font_1description_1set_1variant",
	"_1pango_1font_1description_1set_1weight",
	"_1pango_1font_1description_1to_1string",
	"_1pango_1font_1face_1describe",
	"_1pango_1font_1family_1get_1name",
	"_1pango_1font_1family_1list_1faces",
	"_1pango_1font_1get_1metrics",
	"_1pango_1font_1metrics_1get_1approximate_1char_1width",
	"_1pango_1font_1metrics_1get_1ascent",
	"_1pango_1font_1metrics_1get_1descent",
	"_1pango_1font_1metrics_1get_1strikethrough_1position",
	"_1pango_1font_1metrics_1get_1strikethrough_1thickness",
	"_1pango_1font_1metrics_1get_1underline_1position",
	"_1pango_1font_1metrics_1get_1underline_1thickness",
	"_1pango_1font_1metrics_1unref",
	"_1pango_1language_1from_1string",
	"_1pango_1layout_1context_1changed",
	"_1pango_1layout_1get_1alignment",
	"_1pango_1layout_1get_1attributes",
	"_1pango_1layout_1get_1context",
	"_1pango_1layout_1get_1indent",
	"_1pango_1layout_1get_1iter",
	"_1pango_1layout_1get_1justify",
	"_1pango_1layout_1get_1line",
	"_1pango_1layout_1get_1line_1count",
	"_1pango_1layout_1get_1log_1attrs",
	"_1pango_1layout_1get_1size",
	"_1pango_1layout_1get_1spacing",
	"_1pango_1layout_1get_1tabs",
	"_1pango_1layout_1get_1text",
	"_1pango_1layout_1get_1width",
	"_1pango_1layout_1index_1to_1pos",
	"_1pango_1layout_1iter_1free",
	"_1pango_1layout_1iter_1get_1index",
	"_1pango_1layout_1iter_1get_1line_1extents",
	"_1pango_1layout_1iter_1get_1run",
	"_1pango_1layout_1iter_1next_1line",
	"_1pango_1layout_1iter_1next_1run",
	"_1pango_1layout_1line_1get_1extents",
	"_1pango_1layout_1line_1x_1to_1index",
	"_1pango_1layout_1new",
	"_1pango_1layout_1set_1alignment",
	"_1pango_1layout_1set_1attributes",
	"_1pango_1layout_1set_1auto_1dir",
	"_1pango_1layout_1set_1font_1description",
	"_1pango_1layout_1set_1indent",
	"_1pango_1layout_1set_1justify",
	"_1pango_1layout_1set_1single_1paragraph_1mode",
	"_1pango_1layout_1set_1spacing",
	"_1pango_1layout_1set_1tabs",
	"_1pango_1layout_1set_1text",
	"_1pango_1layout_1set_1width",
	"_1pango_1layout_1set_1wrap",
	"_1pango_1layout_1xy_1to_1index",
	"_1pango_1tab_1array_1free",
	"_1pango_1tab_1array_1get_1size",
	"_1pango_1tab_1array_1get_1tabs",
	"_1pango_1tab_1array_1new",
	"_1pango_1tab_1array_1set_1tab",
	"g_1main_1context_1wakeup",
	"g_1value_1get_1double",
	"g_1value_1get_1float",
	"g_1value_1get_1int",
	"g_1value_1get_1int64",
	"g_1value_1init",
	"g_1value_1set_1double",
	"g_1value_1set_1float",
	"g_1value_1set_1int",
	"g_1value_1set_1int64",
	"g_1value_1unset",
	"gdk_1threads_1enter",
	"gdk_1threads_1init",
	"gdk_1threads_1leave",
	"gdk_1threads_1set_1lock_1functions",
	"localeconv_1decimal_1point",
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GInterfaceInfo_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GInterfaceInfo_2I",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GObjectClass_2",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GObjectClass_2",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GTypeInfo_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GTypeInfo_2I",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GdkEventButton_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GdkEventButton_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GdkEventExpose_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GdkEventExpose_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GdkEventMotion_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GdkEventMotion_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GtkAdjustment_2",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GtkAdjustment_2",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GtkCellRendererClass_2",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GtkCellRendererClass_2",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GtkFixed_2",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GtkFixed_2",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GtkTargetEntry_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GtkTargetEntry_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_GtkWidgetClass_2",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_GtkWidgetClass_2",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_PangoAttribute_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_PangoAttribute_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_XClientMessageEvent_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_XClientMessageEvent_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_XCrossingEvent_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_XCrossingEvent_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_XExposeEvent_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_XExposeEvent_2J",
#endif
#ifndef JNI64
	"memmove__ILorg_eclipse_swt_internal_gtk_XFocusChangeEvent_2I",
#else
	"memmove__JLorg_eclipse_swt_internal_gtk_XFocusChangeEvent_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GObjectClass_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GObjectClass_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GTypeQuery_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GTypeQuery_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkColor_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkColor_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkDragContext_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkDragContext_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventAny_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventAny_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventButton_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventButton_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventCrossing_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventCrossing_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventExpose_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventExpose_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventFocus_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventFocus_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventKey_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventKey_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventMotion_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventMotion_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventProperty_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventProperty_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventScroll_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventScroll_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventVisibility_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventVisibility_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventWindowState_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEventWindowState_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEvent_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkEvent_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkImage_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkImage_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkRectangle_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkRectangle_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkVisual_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GdkVisual_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkAdjustment_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkAdjustment_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkBorder_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkBorder_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkCellRendererClass_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkCellRendererClass_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkColorSelectionDialog_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkColorSelectionDialog_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkCombo_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkCombo_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkFileSelection_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkFileSelection_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkFixed_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkFixed_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkSelectionData_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkSelectionData_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkTargetPair_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkTargetPair_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkWidgetClass_2I",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_GtkWidgetClass_2J",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoAttrColor_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoAttrColor_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoAttrInt_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoAttrInt_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoAttribute_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoAttribute_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoItem_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoItem_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoLayoutLine_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoLayoutLine_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoLayoutRun_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoLayoutRun_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoLogAttr_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_PangoLogAttr_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_XCrossingEvent_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_XCrossingEvent_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_XExposeEvent_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_XExposeEvent_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_XFocusChangeEvent_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_XFocusChangeEvent_2JJ",
#endif
#ifndef JNI64
	"memmove__Lorg_eclipse_swt_internal_gtk_XVisibilityEvent_2II",
#else
	"memmove__Lorg_eclipse_swt_internal_gtk_XVisibilityEvent_2JJ",
#endif
	"pangoLayoutNewProc_1CALLBACK",
	"realpath",
};

#define STATS_NATIVE(func) Java_org_eclipse_swt_tools_internal_NativeStats_##func

JNIEXPORT jint JNICALL STATS_NATIVE(OS_1GetFunctionCount)
	(JNIEnv *env, jclass that)
{
	return OS_nativeFunctionCount;
}

JNIEXPORT jstring JNICALL STATS_NATIVE(OS_1GetFunctionName)
	(JNIEnv *env, jclass that, jint index)
{
	return (*env)->NewStringUTF(env, OS_nativeFunctionNames[index]);
}

JNIEXPORT jint JNICALL STATS_NATIVE(OS_1GetFunctionCallCount)
	(JNIEnv *env, jclass that, jint index)
{
	return OS_nativeFunctionCallCount[index];
}

#endif
